#ifndef DENMCODEC_H
#define DENMCODEC_H
#include "Codec.hh"

#include "LibItsDenm_TestSystem.hh"

class DENMPDUCodec : public PERCodec <DENM__PDU__Descriptions::DENM>
{
public:
	DENMPDUCodec(){}
	virtual int encode (const DENM__PDU__Descriptions::DENM& denm, BITSTRING& data);
	virtual int decode (const BITSTRING& data, DENM__PDU__Descriptions::DENM&);
};

class DENMCodec : public Codec<
	LibItsDenm__TestSystem::DenmReq,
	LibItsDenm__TestSystem::DenmInd>
{
	DENMPDUCodec asnCodec;
public:
	virtual int encode (const LibItsDenm__TestSystem::DenmReq& denm, OCTETSTRING& data);
	virtual int decode (const OCTETSTRING& data, LibItsDenm__TestSystem::DenmInd&);
};

#endif
